Public Attributes | List of all members
_i2c_handle Struct Reference
Peripheral Driver » HAL Driver » I2C » Structures » I2C handle

I2C handle Structure definition. More...

`#include <gr55xx_hal_i2c.h>`

Collaboration diagram for _i2c_handle:
[legend]

## Public Attributes
i2c_regs_t * | p_instance
| I2C registers base address More...
i2c_init_t | init
| I2C communication parameters More...
uint8_t * | p_buffer
| Pointer to I2C transfer buffer More...
uint16_t | xfer_size
| I2C transfer size More...
__IO uint16_t | xfer_count
| I2C transfer counter More...
__IO uint16_t | master_ack_count
| I2C master acknowledge counter in master receive progress. More...
__IO uint32_t | xfer_options
| I2C sequantial transfer options, this parameter can be a value of I2C Sequential Transfer Options More...
__IO uint32_t | previous_state
| I2C communication Previous state More...
hal_status_t(* | xfer_isr )(struct _i2c_handle *p_i2c, uint32_t it_source, uint32_t abort_sources)
| I2C transfer IRQ handler function pointer More...
dma_handle_t * | p_dmatx
| I2C Tx DMA handle parameters More...
dma_handle_t * | p_dmarx
| I2C Rx DMA handle parameters More...
hal_lock_t | lock
| I2C locking object More...
__IO hal_i2c_state_t | state
| I2C communication state More...
__IO hal_i2c_mode_t | mode
| I2C communication mode More...
__IO uint32_t | error_code
| I2C Error code More...
uint32_t | retention [19]
| I2C important register information. More...

## Detailed Description

I2C handle Structure definition.

Definition at line 190 of file gr55xx_hal_i2c.h.

## Member Data Documentation

## ◆ error_code

__IO uint32_t _i2c_handle::error_code

I2C Error code

Definition at line 222 of file gr55xx_hal_i2c.h.

## ◆ init

i2c_init_t _i2c_handle::init

I2C communication parameters

Definition at line 194 of file gr55xx_hal_i2c.h.

## ◆ lock

hal_lock_t _i2c_handle::lock

I2C locking object

Definition at line 216 of file gr55xx_hal_i2c.h.

## ◆ master_ack_count

__IO uint16_t _i2c_handle::master_ack_count

I2C master acknowledge counter in master receive progress.

Definition at line 202 of file gr55xx_hal_i2c.h.

## ◆ mode

__IO hal_i2c_mode_t _i2c_handle::mode

I2C communication mode

Definition at line 220 of file gr55xx_hal_i2c.h.

## ◆ p_buffer

uint8_t* _i2c_handle::p_buffer

Pointer to I2C transfer buffer

Definition at line 196 of file gr55xx_hal_i2c.h.

## ◆ p_dmarx

dma_handle_t* _i2c_handle::p_dmarx

I2C Rx DMA handle parameters

Definition at line 214 of file gr55xx_hal_i2c.h.

## ◆ p_dmatx

dma_handle_t* _i2c_handle::p_dmatx

I2C Tx DMA handle parameters

Definition at line 212 of file gr55xx_hal_i2c.h.

## ◆ p_instance

i2c_regs_t* _i2c_handle::p_instance

I2C registers base address

Definition at line 192 of file gr55xx_hal_i2c.h.

## ◆ previous_state

__IO uint32_t _i2c_handle::previous_state

I2C communication Previous state

Definition at line 207 of file gr55xx_hal_i2c.h.

## ◆ retention

uint32_t _i2c_handle::retention[19]

I2C important register information.

Definition at line 224 of file gr55xx_hal_i2c.h.

## ◆ state

__IO hal_i2c_state_t _i2c_handle::state

I2C communication state

Definition at line 218 of file gr55xx_hal_i2c.h.

## ◆ xfer_count

__IO uint16_t _i2c_handle::xfer_count

I2C transfer counter

Definition at line 200 of file gr55xx_hal_i2c.h.

## ◆ xfer_isr

hal_status_t(* _i2c_handle::xfer_isr) (struct _i2c_handle *p_i2c, uint32_t it_source, uint32_t abort_sources)

I2C transfer IRQ handler function pointer

Definition at line 209 of file gr55xx_hal_i2c.h.

## ◆ xfer_options

__IO uint32_t _i2c_handle::xfer_options

I2C sequantial transfer options, this parameter can be a value of I2C Sequential Transfer Options

Definition at line 204 of file gr55xx_hal_i2c.h.

## ◆ xfer_size

uint16_t _i2c_handle::xfer_size

I2C transfer size

Definition at line 198 of file gr55xx_hal_i2c.h.

The documentation for this struct was generated from the following file:

- gr55xx_hal_i2c.h